﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstructClassTest
{
    class Program
    {
        //車の状態を表示するメソッド
        public static void ShowMater(SportsCar car){
            //コンソールの表示を消す
            Console.Clear();

            //各プロパティの内容を表示する
            Console.WriteLine("スピード：{0}km/h", car.Speed);
            Console.WriteLine("ガソリン：{0}L", car.Gas);
        }

        static void Main(string[] args)
        {
            //インスタンス生成
            SportsCar car = new SportsCar(60);

            //状態を表示
            ShowMater(car);

            while (true)
            {
                //操作を入力
                Console.Write("1)加速　2)減速　9)終了：");
                string inputdata = Console.ReadLine();                

                //操作によって分岐する
                switch (inputdata)
                {
                    case "1":
                        //加速する
                        car.SpeedUp(10);
                        ShowMater(car);
                        break;
                    case "2":
                        //減速する
                        car.SpeedDown(5);
                        ShowMater(car);
                        break;
                    case "9":
                        //プログラムを終了する
                        return;
                    default:
                        ShowMater(car);
                        break;
                }             
            }
        }
    }
}
