﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstructClassTest
{
    class SportsCar
        : Vehicle
    {
        //フィールド==========
        public const int MAXSPEED = 300;    //最大スピード
        public const double MAXFUEL = 60;   //ガソリンタンク容量

        //コンストラクタ==========
        public SportsCar(double gas)
            : base(gas)
        {
            //ガソリン量が容量を超える場合は、最大容量をガソリン量にセット
            if (this.Gas > MAXFUEL)
            {
                this.Gas = MAXFUEL;
            }
        }

        //メソッド==========
        public override void SpeedUp(int sp)
        {
            //ガソリンを減らす
            this.Gas -= sp / 10.0;
            if (this.Gas < 0)    //ガソリンがマイナスになる場合
            {
                //ガソリンを0に補正し、スピードを増やさない
                this.Gas = 0;
            }
            else
            {
                //スピードを増やす
                this.Speed += sp;
                if (this.Speed > MAXSPEED)
                {
                    this.Speed = MAXSPEED;
                }
            }
        }        
    }
}
